%define module_name Algorithm-Bertsekas
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Module/Build.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.87
Release: alt1
Summary: auction algorithm for the assignment problem
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CL/CLAUDIOFS/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
The assignment problem in the general form can be stated as follows:

 "Given N jobs (or persons), M tasks (or objects) and the effectiveness of each job for each task, 
 the problem is to assign each job to one and only one task in such a way that the measure of 
 effectiveness is optimised (Maximised or Minimised)."
 
 "Each assignment problem has associated with a table or matrix. Generally, the rows contain the 
 jobs (or persons) we wish to assign, and the columns comprise the tasks (or objects) we want them 
 assigned to. The numbers in the table are the costs associated with each particular assignment."
 
 One application is to find the (nearest/more distant) neighbors. 
 The distance between neighbors can be represented by a matrix or a weight function, for example:
 1: f(i,j) = abs ($array1[i] - $array2[j])
 2: f(i,j) = ($array1[i] - $array2[j]) ** 2

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/A*

%changelog
* Mon May 28 2018 Igor Vlasenko <viy@altlinux.ru> 0.87-alt1
- regenerated from template by package builder

* Mon May 21 2018 Igor Vlasenko <viy@altlinux.ru> 0.86-alt1
- regenerated from template by package builder

* Thu May 17 2018 Igor Vlasenko <viy@altlinux.ru> 0.85-alt1
- regenerated from template by package builder

* Wed May 09 2018 Igor Vlasenko <viy@altlinux.ru> 0.84-alt1
- regenerated from template by package builder

* Fri May 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.83-alt1
- regenerated from template by package builder

* Tue Apr 24 2018 Igor Vlasenko <viy@altlinux.ru> 0.82-alt1
- regenerated from template by package builder

* Thu Apr 19 2018 Igor Vlasenko <viy@altlinux.ru> 0.81-alt1
- regenerated from template by package builder

* Sat Apr 14 2018 Igor Vlasenko <viy@altlinux.ru> 0.60-alt1
- regenerated from template by package builder

* Wed Apr 11 2018 Igor Vlasenko <viy@altlinux.ru> 0.50-alt1
- regenerated from template by package builder

* Mon Apr 09 2018 Igor Vlasenko <viy@altlinux.ru> 0.46-alt1
- regenerated from template by package builder

* Fri Apr 06 2018 Igor Vlasenko <viy@altlinux.ru> 0.45-alt1
- regenerated from template by package builder

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.40-alt1
- regenerated from template by package builder

* Sat Mar 31 2018 Igor Vlasenko <viy@altlinux.ru> 0.35-alt1
- regenerated from template by package builder

* Fri Mar 23 2018 Igor Vlasenko <viy@altlinux.ru> 0.30-alt1
- regenerated from template by package builder

* Mon Mar 05 2018 Igor Vlasenko <viy@altlinux.ru> 0.25-alt1
- initial import by package builder

